/* Google Fonts */
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Material+Icons");
@import url("https://fonts.googleapis.com/css2?family=Material+Icons+Outlined");

* {
  margin: 0;
  padding: 0;
  font-family: "Poppins", sans-serif;
  box-sizing: border-box;
  scroll-behavior: smooth;
  scroll-padding-top: 2rem;
  list-style: none;
  text-decoration: none;
}
*::selection {
  background: rgb(18, 0, 120);
  color: #fff;
}
:root {
  --main-color: #2898DC;
  --text-color: #1e1c2a;
  --bg-color: #fff;
  --hover-color: #2898DC;
  --form-bg-color:#E7E7E7;
  --form-text-color:rgb(167, 167, 167);

  --big-font: 4rem;
  --h2-font: 2.24rem;
  --p-font: 0.9rem;
}


body.active {
  --bg-color: #030303; 
  --text-color: #fff;
  --form-bg-color: #1d2b3a;
  --form-text-color: rgba(255, 255, 255, 0.25);
  --btn-bg: var(--main-color) ;
  --btn-bg-hover: var(--text-color);
  --btn-text:var(--text-color);
  --btn-text-hover:var(--bg-color);
}

body {
  color: var(--text-color);
  background: var(--bg-color);
  --btn-bg: var(--hover-color);
  --btn-bg-hover: var(--text-color);
  --btn-text:var(--text-color);
  --btn-text-hover:var(--bg-color);
}

section {
  padding: 50px 10%;
}

#darkmode {
  font-size: 25px;
  cursor: pointer;
}
header {
  position: fixed;
  width: 100%;
  top: 0;
  right: 0;
  z-index: 1000;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background: var(--bg-color);
  padding: 10px 100px;
  box-shadow: 0 0.5rem 50rem rgba(0, 0, 0, 0.1);
}

.logo {
  display: flex;
  align-items: center;
  font-size: 1.2rem;
  font-weight: 600;
  color: var(--btn-bg);
  *font-family: 'Architects Daughter', cursive;
}
.logo img{
  height: 40px;
  *width: 40px;
  margin-right: 5px;
}
.logo svg{
  height: 30px;
  margin-right: 5px;
  *border: 1px solid blue;
}


.logo svg path {
  opacity:1;
  fill:var(--text-color);
}


.navbar {
  display: flex;
}


.navbar li > a {
  font-size: 1rem;
  padding: 10px 20px;
  color: var(--text-color);
  font-weight: 500;
}

.navbar a:hover {
  color: var(--main-color);
}


.navbar li ul{
  display: none;
  position: absolute;
}


.navbar li ul li a {
  display: block;
  background-color: var(--bg-color);
}

.navbar li:hover > ul{
  display: block;
  background-color: none;
}

#menu-icon {
  font-size: 2rem;
  cursor: pointer;
  display: none;
}






.icon-button{
  color: var(--text-color);
  font-size:27px;
  background: none;
  border: none;
}

table{
  color: black;
}

.home {
  width: 100%;
  min-height: 100vh;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  align-items: center;
  gap: 1.5rem;
  margin-top: 50px;
  *display: none;
}

.home-img {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  *border: 1px solid green;
}

.home-img svg{

  width: 300px;
}

.home-img svg path {
  opacity:1;
  fill:var(--text-color);
}

.home-img img {
  *width: 100%;
  max-height: 350px;
  *max-width: 450px;
  margin-bottom: -5px;  
  *border: 1px solid blue;
}
.home-text h2 {
  font-size: var(--h2-font);
  color: var(--btn-bg);
}
.home-text p {
  font-size: var(--p-font);
  margin: 1rem 0 1rem;
}
.btn {
  display: inline-block;
  background: var(--btn-bg);
  padding: 10px 20px;
  border-radius: 0.5rem;
  color: var(--btn-text);
  border: none;
  margin: 5px;
}
.btn:hover {
  background: var(--btn-bg-hover);
  color: var(--btn-text-hover);
}

#html-slider{
  height: 80vh;
}

/* .html-slider .slider-item {
  *width: 100%;
  *height: 60vh;
  border:2px solid red;
} */

.html-slider .slider-item img{
  *width: 100%;
  *height: 60vh;
  opacity: 0.3;
}




.about {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 1.5rem;
  align-items: center;
}
.about-img img {
  max-width: 80%;
  border-radius: 0.5rem;
}

.about-text-title {
  width: 100%;
  display: flex;
  justify-content: center;
}

.about-text-title {
  color: var(--main-color);
  margin-bottom: 40px;
}

.about-text span {
  color: var(--main-color);
  font-weight: 500;

}

.about-text h2 {
  font-size: var(--h2-font);
}
.about-text p {
  margin: 0.8rem 0 1.8rem;
}
.heading {
  text-align: center;
  margin-bottom: 50px;
  margin-top: 50px;
}
.heading span {
  color: var(--main-color);
  font-weight: 500;
}
.heading h2 {
  margin-top: 60px;
  font-size: var(--h2-font);
}
.menu-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(220px, auto));
  gap: 1.5rem;
  align-items: center;
}

.services-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(240px, auto));
  gap: 1.5rem;
  margin-top: 2rem;
}
.s-box {
  text-align: center;
}
.s-box img {
  width: 60px;
  border-radius: 10px;
}
.s-box h3 {
  margin: 4px 0 10px;
}
.connect {
  display: flex;
  align-items: center;
  justify-content: space-around;
}
.connect-text span {
  color: var(--main-color);
  font-weight: 500;
}
.connect-text h2 {
  font-size: var(--h2-font);
}
.contact {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, auto));
  gap: 1.5rem;
}

.contact-box-links{
  display: none;
}

.contact-box h3 {
  margin-bottom: 1rem;
}
.social {
  display: flex;
  margin-top: 1.5rem;
}
.social i {
  font-size: 20px;
  margin-right: 1rem;
  color: var(--text-color);
}
.social i:hover {
  color: var(--main-color);
}
.contact-box li a {
  color: var(--text-color);
}
.contact-box li a:hover {
  color: var(--main-color);
}
.address {
  display: flex;
  flex-direction: column;
}
.address i {
  margin-bottom: 0.5rem;
  font-size: 1rem;
}
.address a {
  margin-left: 1rem;
  text-decoration: none;
  color: var(--text-color);
}

.address a:hover {
  color: var(--main-color);
}

a {
  margin-left: 1rem;
  text-decoration: none;
  color: var(--text-color);
}

.copyright {
  padding: 20px;
  text-align: center;
}

.copyright a:hover {
  color: var(--main-color);
}


@media (max-width: 921px) {
  header {
    padding: 14px 41px;
  }
  :root {
    --big-font: 3rem;
    --h2-font: 1.7rem;
  }
}
@media (max-width: 1200px) {
  section {
    padding: 50px 8%;
  }
  #menu-icon {
    display: initial;
    color: var(--text-color);
  }
  header .navbar {
    position: absolute;
    top: -600px;
    left: 0;
    right: 0;
    display: flex;
    flex-direction: column;
    text-align: left;
    background: var(--bg-color);
    box-shadow: 0 4px 4px rgb(0 0 0 / 10%);
    transition: 0.9s;
  }

  .navbar li ul{
    position: relative;
    left: 100px;
    text-align: left;

  }

  .navbar.active {
    top: 100%;
  }
  .navbar a {
    padding: 1.5rem;
    display: block;
    background: var(--bg-color);
    max-width: 200px;
    *background-color: blue;
  }
  #darkmode {
    position: absolute;
    top: 1.4rem;
    right: 2rem;
  }
}
@media (max-width: 800px) {
  section {
    padding: 10px 15px;
  }
  header {
    padding: 10px 16px;
  }
  .home {
    grid-template-columns: 1fr;
  }
  .about {
    grid-template-columns: 1fr;
    text-align: center;
  }
  .about-img {
    order: 2;
  }

}
@media (max-width: 515px) {
  .connect {
    flex-direction: column;
  }
  .connect .btn {
    margin-top: 1rem;
  }
}
@media (max-width: 450px) {
  :root {
    --big-font: 2rem;
    --h2-font: 1.4rem;
  }
  .home-text {
    padding-top: 4rem;
  }
}



